//======================================================================
// ubitx_iop.h
//======================================================================

#ifndef __ubitx_iop_h__
#define __ubitx_iop_h__

#include "config.h"
#include "audio.h"
#include "cat.h"
#include "eeprom.h"
#include "keyer.h"

// comment this out to disable debugging code
//#define DEBUG

enum RigMode {
  MODE_SSB = 0,
  MODE_DIGI = 1,
  MODE_CW = 2,
};

enum TxState {
  TX_OFF = 0,
  TX_MIC,
  TX_LINE,
  TX_CAT,
  TX_KEYER,
};

extern RigMode rigMode;

extern bool keyerKeyDown;

#endif

//======================================================================
// EOF
//======================================================================
